Subject: Re: tqm5200s phy link toggles between up and down

From: Wolfgang Grandegger <[email-masked]>
Date: Tue, 18 Dec 2012 11:05:02 +0100

On 12/18/2012 10:57 AM, Wolfgang Grandegger wrote:
> On 12/18/2012 10:44 AM, Johannes Braun wrote:
>> Hello,
>>
>> I hope someone could help me with my problem. Currently I am porting
>> a new kernel (3.3.8) for a tqm5200s based board.
> 
> This is not really a new kernel.
> 
>> The previous kernel was 2.6.23. The new kernel version is needed because
>> of support for a wireless card.
>>
>> The new kernel has problems with my ethernet PHY. The problem occurs only
>> with our hardware. Not with the TQ eval board.
>> The eval board uses a Intel PHY. Our board uses a Marvel 88E6085 PHY.
> 
> Is it a PHY or a switch? If is a switch you need to configure a fixed
> link to the switch. This can be done via dts file.

Here is an example:

http://lxr.linux.no/#linux+v3.7.1/arch/powerpc/boot/dts/charon.dts#L129

> Note the the DSA also supports this chip.

See http://lwn.net/Articles/302333/. But I think it lacks device tree
support.

Wolfgang.